using System;
using System.IO;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Usage
{
    public static class Rule2201
    {
        // このメソッドは CA2201:TooGeneric に違反しています。
        public static void WriteAllText(string path, string contents)
        {
            try
            {
                File.WriteAllText(path, contents);
            }
            catch
            {
                throw new Exception();
            }
        }

        // このメソッドは CA2201:Reserved に違反しています。
        public static string ReadAllText(string path)
        {
            try
            {
            return    File.ReadAllText(path);
            }
            catch
            {
                throw new OutOfMemoryException();
            }
        }
    }
}
